unit AIOUSB_Constants;

interface

const
  diNone = $FFFFFFFF;
  diFirst = $FFFFFFFE;
  diOnly = $FFFFFFFD;

  C_CHAR_NULL = #0;
  C_ENDPOINT_ZERO_READ = $C0;
  C_ENDPOINT_ZERO_WRITE = $40;
  C_RAM_REG_ADDRESS = $8000;
  bmRAMREGCHECK_FWE20 = $2;
  bmRAMREGCHECK_GENREG = $1;
  C_RAM_REG_CHECK_REVISION = 3;
  C_RAM_REG_CHECK_UNSUPPORTED= $FF;
  C_RAM_REG_CHECK_INDEX = $0001;
  C_CUSTOM_EEPROM_BLOCK_SIZE = 32;
  C_CUSTOM_EEPROM_SIZE = $100;
  C_CUSTOM_EERPOM_START_ADDRESS = $1E00;
  C_FLASH_CALTABLE_SIZE = $100000;
  C_FLASH_BLOCK_SIZE = 4096;
  C_FLASH_SIZE = $200000;
  C_CPUCS_ADDRESS = $E600;
  C_SERIALNUMBER_ADDRESS = $1DF8;
  C_DAC_BASE_CLOCK_RATE = 12000000;
  C_USBDA128A_RAM_SIZE = 128*1024;

  ERROR_DEVICE_REMOVED = 1617;
  ERROR_DEVICE_NOT_CONNECTED = 1167; //Observed on an actual motherboard, probably typoed from ERROR_DEVICE_REMOVED.

  FILE_DEVICE_UNKNOWN = $0022;
  METHOD_BUFFERED = 0;
  METHOD_NEITHER  = 3;
  FILE_ANY_ACCESS = 0;

  IOCTL_ADAPT_INDEX = $0000;
  IOCTL_CY_BASE = LongWord(FILE_DEVICE_UNKNOWN shl 16) or (FILE_ANY_ACCESS shl 14);
  IOCTL_ADAPT_SEND_EP0_CONTROL_TRANSFER = IOCTL_CY_BASE or ((IOCTL_ADAPT_INDEX+8) shl 2) or METHOD_BUFFERED;
  IOCTL_ADAPT_SELECT_INTERFACE          = IOCTL_CY_BASE or ((IOCTL_ADAPT_INDEX+3) shl 2) or METHOD_BUFFERED;
  IOCTL_ADAPT_SEND_NON_EP0_DIRECT       = IOCTL_CY_BASE or ((IOCTL_ADAPT_INDEX+18) shl 2) or METHOD_NEITHER;

  AIOWinUSBClassGUID: TGUID = (D1: $88D87F5A; D2: $EA16; D3: $93FC; D4: ($21, $65, $39, $C9, $1C, $36, $C9, $6E) );
  AIOCyUSBClassGUID:  TGUID = (D1: $D52D27E3; D2: $CF76; D3: $25EB; D4: ($72, $EA, $59, $6F, $22, $34, $C0, $E1) );
  D15LoClassGUID:     TGUID = (D1: $AE18AA60; D2: $7F6A; D3: $11D4; D4: ($97, $DD, $00, $01, $02, $29, $B9, $59) );

implementation

end.

