unit AIOUSB_Types;
 
interface
uses
  Windows,
  ContBufThreads,
  DAC;

type


  TStringArray = array of AnsiString;
  TWordArray = array of Word;




  TRingAcqData = record
    RingBuffer: array of Word;
    iNextRead, iNextWrite: LongWord;
    hSem: THandle;
  end;
  TPRingAcqData = ^TRingAcqData;

  TDeviceData = record
    bOpen, bDeviceWasHere, bGotHandle: Boolean;
    hHandleTableMutex: THandle;
    HandleTable: array of record
      ThreadID: LongWord;
      hDevice: THandle;
    end;
    ExpandFromOldHandle, hWinUSBFile: THandle;
    bCyUSB: Boolean; //`@ Should be a load-type enum, to protect if WinUSB not loaded.
    DevPath: AnsiString;
    DIOBytes, DIOConfigBits: LongWord;
    LastDIOData: array of Byte;
    Counters: LongWord;
    Tristates: LongWord;
    bGateSelectable: Boolean;
    RootClock: Double;
    //LastPurpose: Byte;
    LastEventCount: Word;
    PID: LongWord;
    CtrDivisor: Word;
    bGetName: Boolean;
    ConfigBytes: LongWord;

    ImmDACs, ImmADCs: LongWord;

    bDACBoardRange, bDACChannelCal, bDACStream, bDACDIOClock: Boolean;
    DACsUsed: Integer;
    bDACOpen, bDACClosing, bDACAborting, bDACStarted: Boolean;
    DACData: array of TDACData;
    hDACDataMutex, hDACDataSem: THandle;
    PendingDACData: TDACData;
//    WorkerThread: TDACWorker;
    DACWorkerThread: TStartableThread;

//  CtrMonitorThread: TCtrMonitorThread;
    CtrMonitorThread: TStartableThread;
    bADCBulk: Boolean;
    ADCChannels, ADCMUXChannels: LongWord;
//    ADCWorker: TADCWorker;
    ADCWorker: TStartableThread;
//    ADCContAcqWorker: TADCContAcqWorker;
//    ADCContBufWorker: TADCContBufWorker;
    ADCContAcqWorker: TStartableThread;
    ADCContBufWorker: TStartableThread;
    pRingAcqData: TPRingAcqData;
    RangeShift: Byte;
    FastITConfig, FastITBakConfig: array of Byte;
    CSA_FastConfig, CSA_FastBakConfig: array of Byte;

    bDIOStream, bDIOOpen, bDIORead: Boolean;

    StreamingBlockSize: LongWord;

    bDIODebounce, bDIOSPI: Boolean;

    bSetCustomClocks: Boolean;

    WDGBytes: LongWord;

    bClearFIFO: Boolean;

    FlashSectors: Integer;

    bFirmware20: Boolean;
  end;
  PDeviceData = ^TDeviceData;

implementation


end.

