unit CoreExports;

interface

uses
  Windows;

function AIOUSB_OfflineWrite1(DeviceIndex: LongWord; SampleIndex: LongWord; Buf: Word): LongWord; cdecl;
function AIOUSB_OfflineRead1(DeviceIndex: LongWord; SampleIndex: LongWord; pBuf: PWord): LongWord; cdecl;

implementation

uses
  DeviceLevel,
  AIOUSB_Constants,
  VRTable;

function AIOUSB_OfflineWrite1(DeviceIndex: LongWord; SampleIndex: LongWord; Buf: Word): LongWord; cdecl;
var
  Data: AnsiString;

begin
  Result := ValidateAndEnsureOpen(DeviceIndex);
  if Result <> ERROR_SUCCESS then Exit;

  SetString(Data, PAnsiChar(@Buf), 2);

  Result := GenericVendorWrite(DeviceIndex, AUR_OFFLINE_READWRITE, SampleIndex, SampleIndex shr 16, Length(Data), PAnsiChar(Data));
end;

function AIOUSB_OfflineRead1(DeviceIndex: LongWord; SampleIndex: LongWord; pBuf: PWord): LongWord; cdecl;
var
  Buf: Word;
  L: LongWord;

begin
  Result := ValidateAndEnsureOpen(DeviceIndex);
  if Result <> ERROR_SUCCESS then Exit;

  with Dev[DeviceIndex] do begin
    L := SizeOf(Buf);
    Result := GenericVendorRead(DeviceIndex, AUR_OFFLINE_READWRITE, SampleIndex, SampleIndex shr 16, L, @Buf);

    if Result = ERROR_SUCCESS then begin
      pBuf^ := Buf;
    end;
  end;
end;



end.
